Recommended update for rabbitmq-server

SUSE Recommended Update: Recommended update for rabbitmq-server
Announcement ID: SUSE-RU-2018:3574-1
Rating: moderate
References: #1109991
Affected Products:
  • SUSE OpenStack Cloud Crowbar 8
  • SUSE OpenStack Cloud 8
  • HPE Helion Openstack 8

An update that has one recommended fix can now be installed.

Description:

This update for rabbitmq-server fixes the following issues:

  • Queue master locator min-masters incorrectly calculated the number of masters. (bsc#1109991)
  • Maximum supported number of queue priorities (255) is now enforced
  • queue.delete operations will now force delete queues that don't have a promotable master
  • Lock contention in internal database is now much lower when a node with a lot of exclusive queues shuts down or is otherwise considered to be unavailable by peers
  • Default max number of channels allowed on a connection has been lowered from 65535 to 2047.

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud Crowbar 8:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-8-2018-2531=1
  • SUSE OpenStack Cloud 8:
    zypper in -t patch SUSE-OpenStack-Cloud-8-2018-2531=1
  • HPE Helion Openstack 8:
    zypper in -t patch HPE-Helion-OpenStack-8-2018-2531=1

Package List:

  • SUSE OpenStack Cloud Crowbar 8 (x86_64):
    • rabbitmq-server-3.6.16-3.6.1
    • rabbitmq-server-plugins-3.6.16-3.6.1
  • SUSE OpenStack Cloud 8 (x86_64):
    • rabbitmq-server-3.6.16-3.6.1
    • rabbitmq-server-plugins-3.6.16-3.6.1
  • HPE Helion Openstack 8 (x86_64):
    • rabbitmq-server-3.6.16-3.6.1
    • rabbitmq-server-plugins-3.6.16-3.6.1

References: